﻿/* InstantASP Ltd, www.instantasp.co.uk */

/* layout */

.admin-wrapper { float: left; height: 100%;  }
.admin { background: #fff url(../images/admin/adminbg.gif) repeat-y top left; background-position: -200px; }
.admin a { color :#222; }
.admin a:hover { color :#1B9412; }
.admin .FormButtonBig, .admin-body .FormButtonSmall { border: 1px solid #57B04F; color: #fff !important; background: #62C55A; }
.admin .FormButtonBig:hover, .admin-body .FormButtonSmall:hover { border: 1px solid #222; color: #fff !important; background: #333; }
.admin .search-button span:hover { color: #fff !important; background: #62C55A; }

/* ------------------- */
/* Admin Header Panels */
/* ------------------- */

.admin-small-nav { float: left;  width: 60px; height: 100%; }
.admin-body-margin { margin-left: 60px; height: 100%; }

html.ie7 .admin-top-bar .col-2 { width: 18% !important; }
html.ie7 .admin-top-bar .col-10 { width: 80% !important; }

/* top bar */
.admin-top-bar { height: 44px; white-space:nowrap; line-height: normal !important; background:#62C55A;  }
.admin-top-bar .center { width: 99%; }
.admin-top-bar a.btn { float: left; font-size: 10pt; font-weight: bold; color: #fff; display: inline; margin: 0;  }
.admin-top-bar a.btn .padding { float: left; padding: 14px 16px 15px 16px; }
.admin-top-bar a.btn:hover, .admin-top-bar a.selected { color:#fff !important; text-decoration:none;  background: rgba(0,0,0,0.5);  }
.admin-top-bar a i { font-size: 10pt; }


/* bread crumb */
.admin-breadcrumb { float: left; width: 100%; line-height: normal; background:#eee; border-bottom: 1px solid #ddd; margin: 0; padding:0; }
.admin-breadcrumb .bc {  width: auto !important; margin: 14px 23px; font-size: 10pt; }

/* search in top bar */
.admin-search { float: right; width: 50%; padding: 0; margin: 3px 0 0 6px; }
.admin-search .tbl td { margin: 0; padding: 0; border: 0 !important; background: transparent !important; border-radius: 0 !important; }
.admin-search .search-input { border-color:#62C55A;  }
.admin-search .search-input input { font-size: 10pt; border-radius: 0 !important; box-shadow: none !important;  }
.admin-search .search-input input:focus { background:#fff; }
.admin-search .search-button span { color: #62C55A; line-height:normal; text-align: center; }
.admin-search a.selected span { background: #62C55A; color:#fff; }

/* ----------------- */
/* Admin Main Asides */
/* ----------------- */

.admin-asides .pb_m, .admin-asides .pb_mc { background: transparent !important; border: 0 !important; border-radius: 0; }
.admin-asides .pb_m .pb_h, .admin-asides .pb_mc .pb_h { margin: 0 !important; background-color: transparent !important;  }
.admin-asides .pb_m .pb_hr, .admin-asides .pb_mc .pb_hr { background: transparent !important; border-bottom: 0 !important; }
.admin-asides .pb_htl { margin: 0; width: 100%; }
.admin-asides .pb_htl img { vertical-align: middle; margin-right: 12px; }
.admin-asides .pb_htr { margin: 0; display: none; }
.admin-asides .phead { font-family: Arial, sans-serif; font-weight: bold; font-size: 10pt !important; line-height: normal !important; margin: 0 !important; padding: 12px; width: 100%; vertical-align: middle; background:transparent; color:#aaa !important; }
.admin-asides .phead:hover { background:#444; color: #fff; }

.admin-navbar-item { float: left;  width: 100%; border: 0 !important; background: #222; }
.admin-navbar-item a { color:#aaa !important; float: left; text-decoration: none; width: 100%;  vertical-align: middle;  }
.admin-navbar-item a:hover { color:#fff; background:#333; }
.admin-navbar-item .padding { padding: 12px !important; }

/* ----------------- */
/* Admin Body Panels */
/* ----------------- */

.admin-body-wrapper { float: left; width: 100%; }
.admin-body-main { margin: 0; }
.admin-body-background { margin: 0; }
.admin-body-padding { margin: 0 24px; }

/* ------------- */
/* Footer Panels */
/* ------------- */

.admin-footer {	clear: both; float: left; width: 100%; margin: 24px 0 48px 0; line-height: normal; }

/* ------------------------------------------------------------------- */
/* ----------------------- Page Title Css ---------------------------- */
/* ------------------------------------------------------------------- */

.admin-title { color:#555; margin-top: 24px; }
.admin-title h3 { font-size: 20pt; }

/* ------------------------------------------------------------------- */
/* ------------------------ LinkBar Control -------------------------- */
/* ------------------------------------------------------------------- */

.link-bar {  float: left; text-align: center; width: 100%; list-style: none; margin: 0; padding: 0; }
.link-bar li { float: left; width: 100%; display: inline; margin: 0; padding: 0; }
.link-bar a { float: left;  width: 100%; font-size: 8pt; color:#888 !important; white-space: nowrap;  }
.link-bar a i { font-size: 20px; padding: 9px 9px 0 9px; color:#B6B6B6 !important; display: block; vertical-align: middle; }
.link-bar a img { padding: 9px 9px 0 9px; }
.link-bar a:hover { background:#1B9412; text-decoration: none !important; }
.link-bar a.selected { background:#1B9412; }
.link-bar a.selected i { color: #fff; }
.link-bar a .link-text { float: left; overflow: hidden; font-size: 8pt; -ms-text-overflow:ellipsis; -o-text-overflow:ellipsis; text-overflow:ellipsis; width: 42px;  padding: 0px 9px 9px 9px; }
.link-bar a.selected .link-text { color: #fff; }
.link-bar ul { margin: 0; padding: 0; list-style: none; }
.link-bar li > ul { text-align: left; display: none; margin-left: 62px; overflow:hidden; background:#353535; position:absolute; z-index: 99999; width: 175px;  border: 1px solid #555; }
.link-bar li > ul li { width: 100%; }
.link-bar li > ul a { font-size: 10pt; padding: 9px; color:#fff !important; width: 100%; }
.link-bar li > ul a:hover { background:#1B9412; color:#fff; }
.link-bar li > div { float: left; width: 100%; }

/* fix for IE7 child menu positioning issue */
html.ie7 .link-bar li > ul { margin-left: 2px !important; }

/* ------------------------------------------------------------------- */
/* ---------------------- Field Type Label Css ----------------------- */
/* ------------------------------------------------------------------- */

.field-type
{
	display: inline-block; 
	background-color: #ddd;
    border-radius: 2px;	
    margin: 0;
	line-height: normal;
	white-space: nowrap;
}

.field-type .padding {
    float: left;
    padding: 8px; 
}

.field-type img
{
	vertical-align: middle;
	margin-right: 3px;
}

.field-type span
{
	font-weight: normal;
    font-size: 9pt;
    color:#333;
}

.field-type-desc
{
	float: left;
    display: none;
    padding: 9px;

}

/* header bar menu comment count */
.admin-comment-count { margin: 0px !important; padding: 0px !important; }
.admin-comment-count .sm_Menu ul { margin: 0px !important; padding: 0px !important; }
.admin-comment-count .sm_Menu li { margin: 10px !important; padding: 0px !important; }
.admin-comment-count a { float: left; padding: 10px 0px !important; text-align: center;  margin: 0px !important; width: 50% !important; }
.admin-comment-count h1 { color: #fff; }

.chart-no-results { float: left; width: 100%; border: 1px solid #eee; text-align:center; }
.chart-no-results h1 { color:#ccc; display: inline-block; padding: 100px 0px; }

/* related article suggestions 2014-1 */

.related-article-suggestions { }
.related-article-suggestions .padding { float: left; width: 100%; margin: 9px; }
.related-article-suggestions a.article { float: left; padding: 0; border-radius: 4px; width: 94%; text-decoration: none; border: 1px solid transparent; }
.related-article-suggestions a.goto { float: left; padding: 0; width: 5%; text-align: center; text-decoration: none; color:#222; }
.related-article-suggestions a.article .title { font-size: 12pt;  }
.related-article-suggestions a .rank { color: #888; }
.related-article-suggestions .row:hover { background:#eee; border-radius: 2px; }
.related-article-suggestions a.article:hover .title { color:#222; }
.related-article-suggestions a.article i { margin-right: 12px; padding: 3px; font-size: 12pt; vertical-align:middle; }
.related-article-suggestions a.off i { color:#eee; }
.related-article-suggestions a.off:hover i { color:#00A900; }
.related-article-suggestions a.on i { background:#00A900; border-radius: 50%; color:#fff; }
.related-article-suggestions a.on {  }
.related-article-suggestions .no-results { margin: 24px 0; }


/* tickets view within Staff CP */

.admin .view-tickets td { padding: 5px; }
.admin .view-articles td { padding: 5px; }

.admin-getting-started { }
.admin-getting-started a { display: inline-block; width: 100%; text-align: center; border: 1px solid transparent; border-radius: 6px; text-decoration: none !important; margin-bottom: 12px;  transition: all 0.2s ease-in; -webkit-transition: all 0.2s ease-in; -moz-transition: all 0.2s ease-in; -o-transition: all 0.2s ease-in;  }
.admin-getting-started .icon { background:#ccc; border-radius: 4px; line-height: 75px; display: inline-block; width: 60px; height: 60px; transition: all 0.2s ease-in; -webkit-transition: all 0.2s ease-in; -moz-transition: all 0.2s ease-in; -o-transition: all 0.2s ease-in; }
.admin-getting-started a:hover {  background:#eee;  }
.admin-getting-started a:hover .icon {  background-position: left bottom; opacity: 1.0; -webkit-transform: rotate(-360deg);	-moz-transform: rotate(-360deg); -o-transform: rotate(-360deg); transform: rotate(-360deg); -moz-animation:pulsate 0.5s; }
.admin-getting-started a:hover h2 { color:#000; }
.admin-getting-started a .padding { display: inline-block; padding: 6px; }
.admin-getting-started h2 { font-weight: normal; font-size: 10pt;  display: block; color:#222; }
.admin-getting-started i { color:#fff; font-size: 28pt; }

.admin-getting-started a.email:hover .icon { background:#62C55A; }
.admin-getting-started a.facebook:hover .icon { background:#566EA3; }
.admin-getting-started a.twitter:hover .icon { background:#33B1DA; }
.admin-getting-started a.chat:hover .icon { background:#D55128; }
.admin-getting-started a.agents:hover .icon { background:#8113C1; }
.admin-getting-started a.tabs:hover .icon { background:#C76D1E; }
.admin-getting-started a.sections:hover .icon { background:#1EC7B9; }
.admin-getting-started a.settings:hover .icon { background:#E0DE37; }
.admin-getting-started a.workflows:hover .icon { background:#336A84; }
.admin-getting-started a.forms:hover .icon { background:#96C74F; }
.admin-getting-started a.fields:hover .icon { background:#E824B3; }
.admin-getting-started a.users:hover .icon { background:#6E8CC9; }

/* css for comments in article feedback / rating view in staff cp */
.admin-rating-comment { background-color:#f8f8f8; border-bottom: 1px solid #ddd; }
.admin-rating-comment .fa { font-size: 20pt; }
.admin-rating-comment .padding { display:block; padding: 12px; }
.admin-rating-comment-arrow:before {  float: left; content: '-'; font-size: 0; border-color:#ccc;  text-indent: -40000px; width: 0; height: 0; padding: 0; margin-left: 12px; border-bottom-color: transparent !important; border-left-color: transparent !important; border-style: solid; border-right-width: 6px; border-left-width: 12px; border-top-width: 12px }

.admin-notifications { background: #242424; color:#fff; }
.admin-notifications a { text-decoration: none; }
.admin-notifications .col-left { float: left; width: 30%; }
.admin-notifications .col-right { float: left; width: 70%; }
.admin-notifications .col-right a { color:#888 !important; }
.admin-notifications .col-right .content-padding { padding: 12px; }

